package exerr

type ErrorPackageConfig struct {
	LogTraces       bool
	RecursiveErrors bool
}

var pkgconfig = ErrorPackageConfig{
	LogTraces: true,
}

// Init initializes the exerr packages
// Must be called at the program start, before (!) any errors
// Is not thread-safe
func Init(cfg ErrorPackageConfig) {
	pkgconfig = cfg
}
